/*optimal_snpashot.h*/
/*
* Copyright 2014 IPOL Image Processing On Line http://www.ipol.im/
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
double optimal_snapshot(int flag_motion_model,
                        double motion_model_parameter);

double optimal_snapshot_energy(double T, int flag_motion_model,
                               double motion_model_parameter);

double optimal_snapshot_integrand(double velocity, double T);

double optimal_snapshot_integrand_part2(double xi, double velocity,
                                        double T);

double proba_motion_model(double velocity, double motion_model_parameter,
                          int flag_motion_model);
